/*****************************************************************/
/* IPFIND.C                                                      */
/* Find the IP Address for a specified host name                 */
/* (c) 1998 Emmenjay Consulting Pty Ltd                          */
/*                                                               */
/* History                                                       */
/* 05/05/98 MJS  Initial Coding.                                 */
/*                                                               */
/*****************************************************************/


#include <winsock2.h>
#include <stdlib.h>
#include <stdio.h>
#include "ioutes.h"
#include "version.h"



int main(int argc, char *argv[])
{
    WSADATA        WSData;
    LPHOSTENT      lpHostEntry;
    char           *szIPAddress;
    char           *szHostName;
	WORD           wVersion;
	struct in_addr iaAddress;
    
    /* MAKE SURE THAT CORRECT ARGS SUPPLIED */
    if ( argc != 2 ) die( "usage: ipfind some.address.com\n" );
    szHostName = argv[1];

    /* INIT WINSOCK */
	wVersion = MAKEWORD( VERSION_MAJOR, VERSION_MINOR );
    if ( WSAStartup( wVersion, &WSData ) ) {
        /* NON_ZERO RETURN = FAILURE, ABORT */
        die( "Cannot find Winsock (v%d.%d or later)!\n", 
              VERSION_MAJOR, VERSION_MINOR );
    }

    /* LOOK UP HOSTNAME */
    lpHostEntry = gethostbyname( szHostName );

    if ( lpHostEntry == NULL ) {
        /* LOOKUP FAILED */
        message( "%25s : Not found\n", szHostName );
    } else {
        /* LOOKUP SUCCEEDED */
		iaAddress = *(LPIN_ADDR) *(lpHostEntry->h_addr_list);
        szIPAddress = inet_ntoa( iaAddress );
        message( "%s : %s\n", szHostName, szIPAddress );
    }

    /* CLEAN UP WINSOCK */
    WSACleanup();

    return 0;
}


