/*****************************************************************/
/* IPLOOK.C                                                      */
/* Look up the host name for a specified IP address              */
/* (c) 1998 Emmenjay Consulting Pty Ltd                          */
/*                                                               */
/* History                                                       */
/* 05/05/98 MJS  Initial Coding.                                 */
/*                                                               */
/*****************************************************************/

#include <winsock2.h>
#include <stdlib.h>
#include <stdio.h>
#include "ioutes.h"
#include "version.h"

int main(int argc, char *argv[])
{
    WSADATA     WSData;
    LPHOSTENT   lpHostEntry;
    char        *szIPAddress;
    DWORD       dwIPAddress;
	WORD        wVersion;
    
    /* MAKE SURE THAT CORRECT ARGS SUPPLIED */
    if ( argc != 2 ) die( "usage: iplook <ip address>\n" );

    /* INIT WINSOCK */
	wVersion = MAKEWORD( VERSION_MAJOR, VERSION_MINOR );
    if ( WSAStartup( wVersion, &WSData ) ) {
    	/* NON_ZERO RETURN = FAILURE, ABORT */
        die( "Cannot find Winsock (v%d.%d or later)!\n", 
              VERSION_MAJOR, VERSION_MINOR );
    }

    /* CONVERT IP STRING TO 32 BIT INT */
    szIPAddress = argv[1];		
    dwIPAddress = inet_addr( szIPAddress ); 

    /* LOOK IT UP */
    lpHostEntry = gethostbyaddr( (char *)&dwIPAddress, 
								 sizeof(dwIPAddress), 
								 AF_INET);
    	
    if ( lpHostEntry == NULL ) {
    	/* LOOKUP FAILED */
    	message( "%14s : Not found\n", szIPAddress );
    } else {
    	/* LOOKUP SUCCEEDED */
    	message( "%14s : %s\n", szIPAddress, 
				 lpHostEntry->h_name );
    }

    /* CLEAN UP WINSOCK */
    WSACleanup();

    return 0;
}


